Security Enhanced Linux Reference Policy

# Layer: services

## Module: clamav

Interfaces

### Description:

ClamAV Virus Scanner

### Interfaces:

clamav_admin( domain , role )

##### Summary

All of the rules required to administrate an clamav environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the clamav domain.

clamav_append_log( domain )

##### Summary

Allow the specified domain to append to clamav log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_domtrans( domain )

##### Summary

Execute a domain transition to run clamd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

clamav_domtrans_clamscan( domain )

##### Summary

Execute a domain transition to run clamscan.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_exec_clamscan( domain )

##### Summary

Execute clamscan without a transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_read_config( domain )

##### Summary

Read clamav configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_search_lib( domain )

##### Summary

Search clamav libraries directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_stream_connect( domain )

##### Summary

Connect to run clamd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to connect.

Return